THE LEGACY OF
HATRED CONTINUES

A Response to Hal Lindsey’s
The Road to Holocaust

Gary DeMar
and
Peter J. Leithart

Institute for Christian Economics ¢ Tyler, Texas

 

Distributed by Dominion Press ¢ Fort Worth, Texas
